package com.cim.idm.response;

import lombok.Data;

@Data
public class BaseResponse<T> {
    /**
     * 状态码
     */
    private String code;

    /**
     * 接口信息
     */
    private String message;

    /**
     * 接口数据
     */
    private T data;

    private String status;

    /**
     * 默认构造方法
     */
    public BaseResponse(String code, String message, T data) {
        super();
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public BaseResponse() {

    }
}
